=== modified file '.gitignore'
--- .gitignore	2010-06-02 17:04:22 +0000
+++ .gitignore	2010-08-25 02:07:46 +0000
@@ -3,7 +3,6 @@
 /debconf_spec/debconf_specification.txt.gz
 /head.tmp
 /menu-policy.html/
-/mime-policy.html/
 /perl-policy.html/
 /policy.html/
 /stamp-build

=== modified file 'Makefile'
--- Makefile	2010-06-28 16:37:45 +0000
+++ Makefile	2010-08-25 02:07:40 +0000
@@ -2,7 +2,6 @@
 
 policy.sgml: version.ent
 menu-policy.sgml: version.ent
-mime-policy.sgml: version.ent
 perl-policy.sgml: version.ent
 
 ifneq (,$(strip $(HAVE_ORG_EMACS)))

=== modified file 'README.org'
--- README.org	2009-10-05 05:24:15 +0000
+++ README.org	2010-08-25 02:07:48 +0000
@@ -140,7 +140,6 @@
 
 + [[http://www.debian.org/doc/packaging-manuals/menu-policy/][Debian Menu sub-policy]]
 + [[http://www.debian.org/doc/packaging-manuals/perl-policy/][Debian Perl Policy]]
-+ [[http://www.debian.org/doc/packaging-manuals/mime-policy/][Debian MIME support sub-policy]]
 + [[http://www.debian.org/doc/packaging-manuals/debconf_specification.html][Debconf Specification]]
 + [[http://www.debian.org/doc/packaging-manuals/virtual-package-names-list.txt][Authoritative list of virtual package names ]]
 

=== removed file 'debian-mime-policy.desc'
--- debian-mime-policy.desc	2005-06-16 05:12:39 +0000
+++ debian-mime-policy.desc	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-Document: debian-mime-policy
-Title: Debian MIME Policy Manual
-Author: The Debian Policy Mailing list
-Abstract: This manual describes the policy requirements for the MIME
- system in the Debian GNU/Linux distribution, describing the rules
- regulating the registration of programs that can handle MIME
- content.
-Section: Debian
-
-Format: debiandoc-sgml
-Files: /usr/share/doc/debian-policy/mime-policy.sgml.gz
-
-Format: text
-Files: /usr/share/doc/debian-policy/mime-policy.txt.gz
-
-Format: HTML
-Index: /usr/share/doc/debian-policy/mime-policy.html/index.html
-Files: /usr/share/doc/debian-policy/mime-policy.html/*.html

=== modified file 'debian/changelog'
--- debian/changelog	2010-08-18 20:55:34 +0000
+++ debian/changelog	2010-08-25 02:13:45 +0000
@@ -1,5 +1,7 @@
 debian-policy (3.9.2.0) UNRELEASED; urgency=low
 
+  [ Russ Allbery ]
+
   * Policy: Require human Maintainer or Uploader, clarify Maintainer
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
@@ -16,7 +18,12 @@
     paragraph discussing non-interactivity, and explicitly mark all rules
     as either required or optional.  (Closes: #536790)
 
- -- Russ Allbery <rra@debian.org>  Thu, 12 Aug 2010 10:47:47 -0700
+  [ Ben Finney ]
+
+  * Merge information from ‘mime-policy’ document into main ‘policy’
+    document. (Closes: Bug#89038)
+
+ --
 
 debian-policy (3.9.1.0) unstable; urgency=low
 

=== modified file 'debian/rules'
--- debian/rules	2010-02-09 23:38:30 +0000
+++ debian/rules	2010-08-25 02:07:45 +0000
@@ -38,9 +38,9 @@
 
 sanitycheck := debian/rules policy.sgml
 
-SGML_FILES := policy menu-policy mime-policy perl-policy upgrading-checklist
+SGML_FILES := policy menu-policy perl-policy upgrading-checklist
 DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
-              debian-mime-policy debconf-spec fhs
+              debconf-spec fhs
 
 # While we have two versions of the FHS installed in the source package,
 # we need to modify this to handle it.  This is the easiest way to do it.

=== removed file 'mime-policy.sgml'
--- mime-policy.sgml	2008-01-02 02:18:27 +0000
+++ mime-policy.sgml	1970-01-01 00:00:00 +0000
@@ -1,149 +0,0 @@
-<!doctype debiandoc system [
-<!-- include version information so we don't have to hard code it
-     within the document -->
-<!entity % versiondata SYSTEM "version.ent"> %versiondata;
-]>
-<debiandoc>
-  <!--
-  Debian GNU/Linux Menu Sub-Policy Manual.
-  Copyright (C)1999 ;
-
-  released under the terms of the GNU General Public License, version
-  2 or (at your option) any later.
-
-  The debian-policy mailing list has taken responsibility for the
-  contents of this document, with the package maintainers responsible
-  for packaging adminstrivia only.  
- 
-  -->
-  
-  <book>
-    <titlepag>
-      <title>The Debian MIME support sub-policy</title>
-      <author>
-	<name>J.H.M. Dassen (Ray)</name>
-	<email>jdassen@debian.org</email>
-      </author>
-      <author>
-	<name>The Debian Policy mailing List</name>
-	<email>debian-policy@lists.debian.org</email>
-      </author>
-      <version>version &version;, &date;</version>
-
-      <abstract>
-	This manual describes the policy requirements for the MIME support
-	system used in the Debian GNU/Linux distribution. This
-	document is part of the policy package for Debian. The policy
-	package itself is maintained by a group of maintainers that
-	have no editorial powers. At the moment, the list of
-	maintainers is:
-	<enumlist>
-	  <item>
-	    <p>Julian Gilbey <email>J.D.Gilbey@qmw.ac.uk</email></p>
-	  </item>
-	  <item>
-	    <p>Manoj Srivastava <email>srivasta@debian.org</email></p>
-	  </item>
-	</enumlist>
-      </abstract>
-
-
-      <copyright>
-	<copyrightsummary>
-	  Copyright &copy;1999 .
-	</copyrightsummary>
-	<p>
-	  This manual is free software; you may redistribute it and/or
-	  modify it under the terms of the GNU General Public License
-	  as published by the Free Software Foundation; either version
-	  2, or (at your option) any later version.
-	</p>
-
-	<p>
-	  This is distributed in the hope that it will be useful, but
-	  <em>without any warranty</em>; without even the implied
-	  warranty of merchantability or fitness for a particular
-	  purpose.  See the GNU General Public License for more
-	  details.
-	  </p>
-	<p>
-	  A copy of the GNU General Public License is available as
-	  <tt>/usr/share/common-licenses/GPL</tt> in the Debian
-	  GNU/Linux distribution or on the World Wide Web at <url
-	  id="http://www.gnu.org/copyleft/gpl.html" name="The GNU
-	  General Public Licence">. You can also obtain it by writing
-	  to the Free Software Foundation, Inc., 51 Franklin St, Fifth
-	  Floor, Boston, MA 02110-1301, USA.
-	</p>
-      </copyright>
-    </titlepag>
-
-    <toc detail="sect">
-
-    <chapt>
-      <heading>About this document</heading>
-      <p>
-	This document is distributed as the <tt>mime-policy</tt> files
-	in the Debian package
-        <package><url name="debian-policy" id="http://packages.debian.org/debian-policy"></package>.
-	It is also available from the Debian web mirrors at
-	<tt><url name="/doc/packaging-manuals/mime-policy/"
-		id="http://www.debian.org/doc/packaging-manuals/mime-policy/"></tt>.
-      </p>
-    </chapt>
-
-    <chapt>
-      <heading>MIME support mechanism</heading>
-      <p>
-	If you need assistance implementing this sub-policy, please
-	please ask for it on the debian-devel mailing list.  If you
-	have proposals for changes or additions to this sub-policy,
-	please bring it up on debian-policy.
-      </p>
-      <sect>
-        <heading>Background</heading>
-        <p>
-          MIME (Multipurpose Internet Mail Extensions, RFC 1521) is
-          a mechanism for encoding files and datastreams and providing
-          meta-information about them, in particular their type (e.g. audio
-          or video) and format (e.g. PNG, HTML, MP3).
-        </p>
-        
-        <p>
-          Registration of MIME type handlers allows programs like mail
-          user agents and web browsers to to invoke these handlers to
-          view, edit or display MIME types they don't support directly.
-        </p>
-
-      </sect>
-
-      <sect>
-	<heading>MIME support implementation</heading>
-	<p>
-          The <package>mime-support</package> package provides the
-          <prgn>update-mime</prgn> program which allows packages to
-          register programs that can show, compose, edit or print
-          MIME types.
-	</p>
-
-	<p>
-          Packages containing such programs must register them
-          with <prgn>update-mime</prgn> as documented in <manref
-          name="update-mime" section="8">. They should <em>not</em> depend
-          on, recommend, or suggest <prgn>mime-support</prgn>. Instead,
-          they should just put something like the following in the
-          <tt>postinst</tt> and <tt>postrm</tt> scripts:
-
-          <example> 
-  if [ -x /usr/sbin/update-mime ]; then
-      update-mime
-  fi
-          </example>
-	</p>
-      </sect>
-    </chapt>
-  </book>
-</debiandoc>
-<!-- Local variables: -->
-<!-- indent-tabs-mode: t -->
-<!-- End: -->

=== modified file 'policy.sgml'
--- policy.sgml	2010-08-18 20:55:34 +0000
+++ policy.sgml	2010-08-25 02:00:49 +0000
@@ -7044,7 +7044,7 @@
 	  MIME (Multipurpose Internet Mail Extensions, RFCs 2045-2049)
 	  is a mechanism for encoding files and data streams and
 	  providing meta-information about them, in particular their
-	  type (e.g.  audio or video) and format (e.g. PNG, HTML,
+	  type (e.g. audio or video) and format (e.g. PNG, HTML,
 	  MP3).
 	</p>
 
@@ -7061,11 +7061,25 @@
 	</p>
 
 	<p>
-	  The MIME support policy can be found in the <tt>mime-policy</tt>
-	  files in the <tt>debian-policy</tt> package.
-	  It is also available from the Debian web mirrors at
-          <tt><url name="/doc/packaging-manuals/mime-policy/"
-		id="http://www.debian.org/doc/packaging-manuals/mime-policy/"></tt>.
+	  The <package>mime-support</package> package provides the
+	  <prgn>update-mime</prgn> program which allows packages to
+	  register programs that can show, compose, edit or print
+	  MIME types.
+	</p>
+
+	<p>
+	  Packages containing such programs must register them
+	  with <prgn>update-mime</prgn> as documented in <manref
+	  name="update-mime" section="8">. They should <em>not</em> depend
+	  on, recommend, or suggest <prgn>mime-support</prgn>. Instead,
+	  they should just put something like the following in the
+	  <tt>postinst</tt> and <tt>postrm</tt> scripts:
+
+	  <example> 
+  if [ -x /usr/sbin/update-mime ]; then
+      update-mime
+  fi
+	  </example>
 	</p>
 
       </sect>

